Get wallet
curl --request GET \
--url https://api.onswitch.xyz/wallet/{wallet_id} \
--header 'x-service-key: <api-key>'import requests
url = "https://api.onswitch.xyz/wallet/{wallet_id}"
headers = {"x-service-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-service-key': '<api-key>'}};
fetch('https://api.onswitch.xyz/wallet/{wallet_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Wallet fetched successfully",
"timestamp": "2026-04-18T14:22:08.631Z",
"data": {
"id": "68d4f2a91eb37c15b8e3a4f7",
"name": "My Wallet",
"address": {
"BASE": "0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49",
"ETHEREUM": "0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49",
"POLYGON": "0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49",
"BSC": "0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49",
"ARBITRUM": "0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49",
"OPTIMISM": "0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49",
"GNOSIS": "0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49",
"AVALANCHE": "0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49",
"MONAD": "0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49",
"PLASMA": "0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49",
"LINEA": "0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49",
"MANTLE": "0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49",
"HYPEREVM": "0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49",
"BERACHAIN": "0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49",
"SONIC": "0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49",
"SOLANA": "2dTHot2BVjqqGD3S5Z2bzEVYnyEcJCdr9SawzqTdKo4h"
}
}
}{
"success": false,
"message": "amount must be greater than 0 for the selected corridor",
"timestamp": "2026-04-18T14:22:08.631Z",
"data": null
}Get wallet
Retrieve the details of an existing wallet
GET
/
wallet
/
{wallet_id}
Get wallet
Authorizations
Service key for API authentication
Path Parameters
Unique identifier for the wallet
Pattern:
^[a-f0-9]{24}$⌘I